Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.support
Class DefaultActionMapping<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.support.action.support.DefaultActionMapping<T>

All Implemented Interfaces:
  SoapUIActionMapping<T>

    public class DefaultActionMapping<T extends ModelItem>

extends java.lang.Object
implements SoapUIActionMapping<T>

Default implementation for a SoapUIActionMapping

Author:
  ole.matzura

Constructor Summary
`DefaultActionMapping(java.lang.String actionId, java.lang.String keyStroke, java.lang.String iconPath, boolean isDefault, java.lang.Object param)`

Method Summary
`SoapUIAction<T>` | `getAction()`
`java.lang.String` | `getActionId()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIconPath()`
`java.lang.String` | `getKeyStroke()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getParam()`
`boolean` | `isDefault()`
`boolean` | `isEnabled()`
`void` | `setActionId(java.lang.String actionId)`
`void` | `setDefault(boolean isDefault)`
`SoapUIActionMapping<T>` | `setDescription(java.lang.String description)`
`SoapUIActionMapping<T>` | `setEnabled(boolean enabled)`
`void` | `setIconPath(java.lang.String iconPath)`
`void` | `setKeyStroke(java.lang.String keyStroke)`
`SoapUIActionMapping<T>` | `setName(java.lang.String name)`
`SoapUIActionMapping<T>` | `setParam(java.lang.Object param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultActionMapping

    public DefaultActionMapping(java.lang.String actionId,
                                java.lang.String keyStroke,
                                java.lang.String iconPath,
                                boolean isDefault,
                                java.lang.Object param)

Method Detail

### getAction

    public SoapUIAction<T> getAction()

  Specified by:
    `getAction` in interface `SoapUIActionMapping<T extends ModelItem>`

### isDefault

    public boolean isDefault()

  Specified by:
    `isDefault` in interface `SoapUIActionMapping<T extends ModelItem>`

### getIconPath

    public java.lang.String getIconPath()

  Specified by:
    `getIconPath` in interface `SoapUIActionMapping<T extends ModelItem>`

### getKeyStroke

    public java.lang.String getKeyStroke()

  Specified by:
    `getKeyStroke` in interface `SoapUIActionMapping<T extends ModelItem>`

### getActionId

    public java.lang.String getActionId()

  Specified by:
    `getActionId` in interface `SoapUIActionMapping<T extends ModelItem>`

### getParam

    public java.lang.Object getParam()

  Specified by:
    `getParam` in interface `SoapUIActionMapping<T extends ModelItem>`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `SoapUIActionMapping<T extends ModelItem>`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SoapUIActionMapping<T extends ModelItem>`

### setActionId

    public void setActionId(java.lang.String actionId)

### setDescription

    public SoapUIActionMapping<T> setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `SoapUIActionMapping<T extends ModelItem>`

### setIconPath

    public void setIconPath(java.lang.String iconPath)

### setDefault

    public void setDefault(boolean isDefault)

### setKeyStroke

    public void setKeyStroke(java.lang.String keyStroke)

### setName

    public SoapUIActionMapping<T> setName(java.lang.String name)

  Specified by:
    `setName` in interface `SoapUIActionMapping<T extends ModelItem>`

### setParam

    public SoapUIActionMapping<T> setParam(java.lang.Object param)

  Specified by:
    `setParam` in interface `SoapUIActionMapping<T extends ModelItem>`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `SoapUIActionMapping<T extends ModelItem>`

### setEnabled

    public SoapUIActionMapping<T> setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `SoapUIActionMapping<T extends ModelItem>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.